#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2100six4xi.py">
#<abstract4xi abstract = "fires to direction six and to distance 2100"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2six4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SIX - COORDINATE SIGNS OF SHOOT2SIX4XI: (X - ,Y + ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2six21004xi



# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

shot2six21004xi = {
                1:'-1022x1699y-691z',
                2:'-1025x715y-1687z',
                3:'-1047x652y-1699z',
                4:'-104x826y-1927z',
                5:'-1057x35y-1814z',
                6:'-1064x588y-1711z',
                7:'-1071x92y-1803z',
                8:'-1077x1640y-745z',
                9:'-1078x524y-1723z',
                10:'-1083x150y-1792z',
                11:'-1088x460y-1735z',
                12:'-1091x210y-1781z',
                13:'-1095x396y-1747z',
                14:'-1096x271y-1770z',
                15:'-1097x333y-1758z',
                16:'-1105x1637y-711z',
                17:'-1157x1576y-764z',
                18:'-1185x1571y-730z',
                19:'-1233x1507y-784z',
                20:'-1261x1501y-750z',
                21:'-1305x1434y-803z',
                22:'-1325x1629y-6z',
                23:'-1333x1428y-770z',
                24:'-1373x1358y-823z',
                25:'-1400x1350y-789z',
                26:'-1408x1557y-27z',
                27:'-1436x1279y-842z',
                28:'-144x800y-1935z',
                29:'-1463x1270y-809z',
                30:'-1487x1481y-48z',
                31:'-1494x1197y-861z',
                32:'-1521x1187y-828z',
                33:'-1548x1112y-880z',
                34:'-1562x1400y-69z',
                35:'-1574x1101y-847z',
                36:'-1596x1025y-899z',
                37:'-1622x1012y-866z',
                38:'-1633x1316y-90z',
                39:'-1640x935y-918z',
                40:'-1665x922y-885z',
                41:'-1678x844y-937z',
                42:'-1699x1228y-111z',
                43:'-1711x751y-956z',
                44:'-1739x657y-974z',
                45:'-1760x1137y-131z',
                46:'-1762x562y-993z',
                47:'-1779x466y-1011z',
                48:'-1784x869y-948z',
                49:'-1791x371y-1030z',
                50:'-1796x84y-1084z',
                51:'-1798x275y-1048z',
                52:'-1799x179y-1066z',
                53:'-1816x1043y-152z',
                54:'-181x773y-1943z',
                55:'-185x1491y-1466z',
                56:'-1866x945y-173z',
                57:'-1912x846y-194z',
                58:'-1951x744y-215z',
                59:'-1985x640y-236z',
                60:'-2014x534y-257z',
                61:'-2036x428y-278z',
                62:'-2053x320y-299z',
                63:'-2064x212y-319z',
                64:'-2069x103y-340z',
                65:'-216x744y-1951z',
                66:'-221x2010y-565z',
                67:'-248x713y-1959z',
                68:'-260x1465y-1481z',
                69:'-278x681y-1966z',
                70:'-288x8y-2080z',
                71:'-305x647y-1974z',
                72:'-308x25y-2077z',
                73:'-325x1990y-586z',
                74:'-327x44y-2073z',
                75:'-329x613y-1981z',
                76:'-333x1435y-1496z',
                77:'-344x65y-2070z',
                78:'-350x578y-1988z',
                79:'-352x1995y-551z',
                80:'-361x88y-2066z',
                81:'-369x542y-1994z',
                82:'-375x113y-2063z',
                83:'-385x506y-2001z',
                84:'-388x139y-2058z',
                85:'-398x470y-2007z',
                86:'-399x167y-2054z',
                87:'-404x1401y-1510z',
                88:'-408x434y-2013z',
                89:'-409x197y-2050z',
                90:'-416x228y-2045z',
                91:'-416x398y-2019z',
                92:'-420x260y-2040z',
                93:'-421x363y-2025z',
                94:'-423x293y-2035z',
                95:'-423x328y-2030z',
                96:'-428x1964y-606z',
                97:'-455x1968y-571z',
                98:'-472x1364y-1525z',
                99:'-528x1933y-626z',
                100:'-537x1323y-1539z',
                101:'-556x1936y-591z',
                102:'-599x1279y-1553z',
                103:'-627x1897y-646z',
                104:'-62x850y-1919z',
                105:'-655x1899y-611z',
                106:'-657x1232y-1567z',
                107:'-713x1182y-1581z',
                108:'-723x1855y-666z',
                109:'-751x1856y-631z',
                110:'-765x1130y-1595z',
                111:'-813x1076y-1608z',
                112:'-816x1808y-686z',
                113:'-844x1808y-651z',
                114:'-858x1020y-1622z',
                115:'-899x961y-1635z',
                116:'-907x1757y-705z',
                117:'-935x1756y-671z',
                118:'-936x902y-1648z',
                119:'-970x840y-1661z',
                120:'-994x1701y-725z',
                121:'-999x778y-1674z'}


#"
#/>



# -------------------------------------------------------------------------------------------------------------------
#<function4xi function = "fire2100six4xi" usage = "target function for charge2six4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------------------------
def fire2100six4xi(queue2six, consumer_channel2six, publisher_channel2six):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2100SIX4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2100SIX4XI -  QUEUE2SIX: ", queue2six)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2100SIX4XI -  CONSUMER_CHANNEL2SIX: ", consumer_channel2six)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2100SIX4XI -  PUBLISHER_CHANNEL2SIX: ", publisher_channel2six)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2100SIX4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2six.put(shot2six21004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2100SIX4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2100SIX4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SIX: ", queue2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2100SIX4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2six8shot2six2100x4xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2six8shot2six2100x4xi</nack2put4xi>" 
            
        publisher_channel2six.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2100SIX4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
            # 
        
    except:
        print(" (STEP 3C/33) OF FIRE2100SIX4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SIX: ", publisher_channel2six, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2100SIX4XI - RETURNING QUEUE OBJECT QUEUE2SIX: ", queue2six, " - TIME: ", time4xi())  
        # 
            
    return queue2six    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2100six4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
